Subject: Re: linux-next: driver-core tree build failure

From: Greg KH <[email-masked]>
Date: Sat, 9 May 2009 06:51:35 -0700

On Sat, May 09, 2009 at 09:16:11PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Mon, 4 May 2009 16:25:42 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> > 
> > drivers/hid/usbhid/hiddev.c:965: error: unknown field 'nodename' specified in initializer
> > drivers/hid/usbhid/hiddev.c:965: warning: initialization from incompatible pointer type
> > 
> > Caused by commit 5b1e3a40a98ad5a822cb527439cd57dc60a41db9 ("Driver Core:
> > devtmpfs - driver core maintained /dev tmpfs").  As far as I can see the
> > version of this patch in your quilt series currently has never been
> > posted anywhere public ... The diff summaries for the previous and
> > current version of this patch are:
> > 
> > - 18 files changed, 484 insertions(+), 5 deletions(-)
> > + 38 files changed, 599 insertions(+), 11 deletions(-)
> > 
> > Which is a pretty big change for something in linux-next.  So, can we
> > please remove this patch until it has proper review, been tested and has
> > settled down a bit.
> 
> OK, so now I have another new version of this patch (split up as many
> patches) in the driver-core tree (destined for linux-next) which has also
> not been posted to LKML (which is where I assumed it would be posted).  I
> think people would like the opportunity to review this stuff.

Yes, it will be sent there, I thought it more important to get my tree
working again and out there, thinking you were not going to be doing a
linux-next release over the weekend.

Was I incorrect in that assumption?

I'll be sending it in a few hours.

thanks,

greg k-h